xmlwrapp Lightweight C++ XML parsing library

Static Public Member Functions | List of all members
xslt::init Class Reference

The xslt::init class is used to configure the XSLT engine. More...

`#include <init.h>`

Inheritance diagram for xslt::init:
[legend]
Collaboration diagram for xslt::init:
[legend]

## Static Public Member Functions
static void | process_xincludes (bool flag)
| This function controls whether or not the XSLT engine will process XInclusions by default while parsing the stylesheet. More...
static bool | indent_output (bool flag)
| This member function controls whether or not the XML parser should add text nodes for indenting when generating XML text output from a node tree. More...
static bool | remove_whitespace (bool flag)
| This member function controls whether or not the XML parser should remove ignorable whitespace around XML elements. More...
static bool | substitute_entities (bool flag)
| This member function controls whether or not the XML parser should substitute entities while parsing. More...
static bool | load_external_subsets (bool flag)
| This member function controls whether or not the XML parser should load external (DTD) subsets while parsing. More...
static bool | validate_xml (bool flag)
| This member function controls whether or not the XML parser should validate every XML document that is parses with its DTD. More...

## Detailed Description

The xslt::init class is used to configure the XSLT engine.

If you want to use any of the xslt::init member functions, do so before you start any threads or use any other part of xsltwrapp. The member functions may alter global and/or static variables. In other words, this class is not thread safe.

Note
  In xmlwrapp versions prior to 0.6.0, this class was used to initialize the library and exactly one instance had to be created before first use. This is no longer true: user code doesn't have to create any instances, but it can create as many instances as it wants.

## Member Function Documentation

## ◆ indent_output()

static bool xml::init::indent_output | ( | bool | flag | ) |
| static inherited

This member function controls whether or not the XML parser should add text nodes for indenting when generating XML text output from a node tree.

The default is true.

Parameters

  flag | True to turn on indenting, false to turn it off.

Returns
  previous state of the flag.

## ◆ load_external_subsets()

static bool xml::init::load_external_subsets | ( | bool | flag | ) |
| static inherited

This member function controls whether or not the XML parser should load external (DTD) subsets while parsing.

This will only affect the loading of the subsets, it does not cause files to be validated. The default is true.

Parameters

  flag | True to turn on loading, false to turn it off.

Returns
  previous state of the flag.

## ◆ process_xincludes()

static void xslt::init::process_xincludes | ( | bool | flag | ) |
| static

This function controls whether or not the XSLT engine will process XInclusions by default while parsing the stylesheet.

The default is true.

Parameters

  flag | True to enable XInclusing processing; False otherwise.

## ◆ remove_whitespace()

static bool xml::init::remove_whitespace | ( | bool | flag | ) |
| static inherited

This member function controls whether or not the XML parser should remove ignorable whitespace around XML elements.

The default is false.

Parameters

  flag | True to remove whitespace, false to leave alone.

Returns
  previous state of the flag.

## ◆ substitute_entities()

static bool xml::init::substitute_entities | ( | bool | flag | ) |
| static inherited

This member function controls whether or not the XML parser should substitute entities while parsing.

The default is true.

Parameters

  flag | True to turn on substitution, false to turn off.

Returns
  previous state of the flag.

## ◆ validate_xml()

static bool xml::init::validate_xml | ( | bool | flag | ) |
| static inherited

This member function controls whether or not the XML parser should validate every XML document that is parses with its DTD.

The default is false.

Returns
  flag True to turn on validation, false to turn it off.
  previous state of the flag.

The documentation for this class was generated from the following file:

- xsltwrapp/init.h